
/*
 * $Id: error.c,v 1.2 2001/10/15 07:00:17 davidma Exp $
 *
 * Python libnet
 * Copyright (C) 2001, David Margrave (davidma@eskimo.com)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

#include <libnet.h>
#include <Python.h>

static PyObject *libnetError;
static PyObject *error_object;

int init_errors(PyObject *d)
{
  int i;

  /* the base class */
  libnetError = PyErr_NewException("libnetc.error", NULL, NULL);
  PyDict_SetItemString(d, "error", libnetError);
  Py_INCREF(libnetError);

  error_object = PyErr_NewException("libnetc.EXCEPTION",libnetError,NULL);
  Py_INCREF(error_object);
  PyDict_SetItemString(d, "EXCEPTION", error_object);

} 

int set_error(int error_code, char *error_message)
{
/*
    PyErr_SetString(PyExc_IOError, error_message);
*/
  PyErr_SetString(error_object, error_message);
}
