
/*
 * $Id: exception.c,v 1.2 2001/10/15 07:00:17 davidma Exp $
 *
 * Python libnet
 * Copyright (C) 2001, David Margrave (davidma@eskimo.com)
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

#include <stdlib.h>
#include <libnet.h>

#define ERRBUF_SIZE 64

static char errbuf[ERRBUF_SIZE];
static int error_code = 0;
static int error_status = 0;

void throw_exception(int err, char *ebuf)
{
  error_code = err;
  error_status=1;
/*
  snprintf(errbuf, ERRBUF_SIZE, "pcap_exception %d: %s\n", err, ebuf);
*/
  snprintf(errbuf, ERRBUF_SIZE, "[Errno %d] %s\n", err, ebuf);
}

void clear_exception()
{
        error_status = 0;
}

int check_exception()
{
  return error_status;
#ifdef OLDCRAP
        if (error_status) {
          return error_code;
        }
        else {
          return 0;
        }
#endif
}

char *get_exception_message()
{
    if (error_status) {
      return errbuf;
    }
    else return NULL;
}

